CVS-DEBC(1)

BEZEICHNUNG
cvs-debrelease - lädt ein mit Cvs-buildpackage/Cvs-debuild erzeugtes Paket hoch

ÜBERSICHT
cvs-debrelease [Cvs-debrelease-Optionen] [--dopts [dupload-/dput-Optionen]]

BESCHREIBUNG
cvs-debrelease wird aus dem CVS-Arbeitsverzeichnis nach cvs-buildpackage oder cvs-debuild ausgeführt. Es verwendet das cvs-buildpackage-System, um die in diesem Durchgang erzeugte .changes-Datei ausfindig zu machen. Dann lädt es das Paket mittels debrelease(1) hoch, welches wiederum dupload oder dput aufruft. Beachten Sie, dass die Option --dopts angegeben werden muss, um die Optionen von cvs-debrelease von den Optionen von dupload oder dput zu unterscheiden. Außerdem werden die devscripts-Konfigurationsdateien, wie in der Handbuchseite debrelease(1) beschrieben, gelesen.

Beachten Sie, dass im Gegensatz zu cvs-buildpackage, die Option -P die einzige Möglichkeit ist, den Namen des Quellpakets anzugeben; Sie können ihn nicht einfach als letzten Befehlszeilenparameter angeben.

OPTIONEN
Alle aktuellen Optionen von cvs-buildpackage werden stillschweigend akzeptiert; allerdings haben nur die nachfolgend aufgeführten Auswirkungen. Weitere Einzelheiten über alle davon finden Sie in der Handbuchseite von cvs-buildpackage(1). Zudem werden alle Optionen von debrelease (wie nachfolgend aufgeführt) akzeptiert.

--dupload, --dput
    Dies gibt an, welches Programm zum Hochladen benutzt wird. Die Vorgabe ist dupload.

-aDebian-Architektur, -tGNU-Systemtyp
    Eine Beschreibung dieser Optionen finden Sie unter dpkg-architecture(1). Sie beeinflussen die Suche nach der .changes-Datei. Sie werden bereitgestellt, um das Verhalten von dpkg-buildpackage nachzumachen, wenn der Name der .changes-Datei festgestellt wird.

-MModul
    der Name des CVS-Moduls

-PPaket
    der Name des Pakets

-VVersion
    die Versionsnummer des Pakets

-TMarkierung
    die CVS-Markierung, die für den Export von Quellen benutzt wird

-RWurzelverzeichnis
    Wurzel des Originalquellarchivs

-WArbeitsverzeichnis
    der vollständige Pfadname für das Cvs-buildpackage-Arbeitsverzeichnis

-xPräfix
    Diese Option stellt das Standard-CVS-Modulpräfix bereit.

--no-conf, --noconf
    keine Konfigurationsdateien lesen, Dies kann nur als erste auf der Befehlszeile angegebene Option benutzt werden.

--help, --version
    zeigt Hilfenachricht beziehungsweise Versionsinformationen.

SIEHE AUCH
cvs-buildpackage(1), cvs-debuild(1), debrelease(1)

AUTOR
cvs-buildpackage wurde von Manoj Srivastava geschrieben und die aktuelle Version von debrelease wurde von Julian Gilbey <jdg@debian.org> verfasst. Sie wurden von Julian Gilbe in diesem Programm kombiniert.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.